中危 linux linux_kernel 信息暴露

CVE编号

CVE-2021-20239

利用情况

暂无

补丁情况

官方补丁

披露时间

2021-05-28
漏洞描述
A flaw was found in the Linux kernel in versions before 5.4.92 in the BPF protocol. This flaw allows an attacker with a local account to leak information about kernel internal addresses. The highest threat from this vulnerability is to confidentiality.
解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
系统 centos_8 kernel * Up to
(excluding)
4.18.0-348.el8
运行在以下环境
系统 fedoraproject fedora 33 -
运行在以下环境
系统 linux linux_kernel * Up to
(excluding)
5.4.92
运行在以下环境
系统 redhat enterprise_linux 5.0 -
运行在以下环境
系统 redhat enterprise_linux 6.0 -
运行在以下环境
系统 redhat enterprise_linux 8.0 -
运行在以下环境
系统 redhat_8 kernel * Up to
(excluding)
4.18.0-348.el8
运行在以下环境
系统 ubuntu_14.04.6_lts linux * Up to
(excluding)
3.11.0-12.19
运行在以下环境
系统 ubuntu_16.04.7_lts linux * Up to
(excluding)
4.2.0-16.19
运行在以下环境
系统 ubuntu_18.04 kernel * Up to
(excluding)
5.4.0-1038.41~18.04.1
运行在以下环境
系统 ubuntu_18.04.5_lts linux * Up to
(excluding)
4.13.0-16.19
运行在以下环境
系统 ubuntu_20.04 kernel * Up to
(excluding)
5.8.0-49.55~20.04.1
阿里云评分
4.2
  • 攻击路径
    远程
  • 攻击复杂度
    容易
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    DoS
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-200 信息暴露
CWE-822 非可信指针解引用
阿里云安全产品覆盖情况